class Search
  include ActiveModel::Model
  attr_accessor :results_per_page, :sort, :query, :results

  validates_presence_of :query, :results_per_page, :sort
  validates_numericality_of :results_per_page, greater_than: 0

  def initialize(params={})
    super(params.merge(defaults))
  end

  private

  def defaults
    {
        sort: 'relevance',
        results_per_page: 10
    }
  end

end