require 'test_helper'

class CollectionTest < ActiveSupport::TestCase
  ## Errors messages are missing, and they are required to shoulda matachers pass

  #should validate_presence_of :name
  #should validate_presence_of :created_at
  #should validate_presence_of :owner
  #should validate_presence_of :learning_objects

  test 'collection is invalid when name attribute is empty' do
    collection = Collection.new
    assert !collection.valid?
  end

  test 'collection is valid when name attribute is not empty' do
    collection = Collection.new(name: 'Minha coleção de teste')
    assert collection.valid?
  end

  test 'append learning objects to collection' do
    collection = Collection.new(name: 'Minha coleção de teste')
    collection.add LearningObject.new
    collection.add LearningObject.new

    assert_count 2, collection.learning_objects
  end

  test 'remove learning object from collection' do
    lo1 = LearningObject.new
    collection = Collection.new(name: 'Minha coleção de teste')
    collection.add lo1
    collection.add LearningObject.new
    assert_count 2, collection.learning_objects

    collection.remove lo1
    assert_count 1, collection.learning_objects
  end

end